> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Schedule

> Create an automated report schedule for the programme.



## OpenAPI

````yaml https://api.loyalty.dog/openapi.json post /v2/giftcards/programs/{programId}/reports/schedule
openapi: 3.1.0
info:
  title: LoyaltyDog
  description: >-

    Welcome to the LoyaltyDog API! This API provides access to our loyalty
    program features, allowing you to integrate with various platforms and
    manage your loyalty data.


    Want to query LoyaltyDog via an AI assistant (Claude, Cursor, Windsurf)? See
    the [MCP Integration guide](https://loyaltydog.ai/playground#mcp).
        
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/giftcards/programs/{programId}/reports/schedule:
    post:
      tags:
        - Gift Card Reports
      summary: Create Schedule
      description: Create an automated report schedule for the programme.
      operationId: create_schedule_v2_giftcards_programs__programId__reports_schedule_post
      parameters:
        - name: programId
          in: path
          required: true
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: 'null'
            title: Programid
        - name: cardId
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: 'null'
            title: Cardid
        - name: X-Eposn-Customer-Token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Eposn-Customer-Token
        - name: X-Eposn-Merchant-Token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Eposn-Merchant-Token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScheduleReportRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    ScheduleReportRequest:
      properties:
        name:
          type: string
          maxLength: 200
          minLength: 1
          title: Name
        frequency:
          type: string
          pattern: ^(daily|weekly|monthly)$
          title: Frequency
        dayOfWeek:
          anyOf:
            - type: integer
              maximum: 6
              minimum: 0
            - type: 'null'
          title: Dayofweek
        dayOfMonth:
          anyOf:
            - type: integer
              maximum: 28
              minimum: 1
            - type: 'null'
          title: Dayofmonth
        hourUtc:
          type: integer
          maximum: 23
          minimum: 0
          title: Hourutc
          default: 0
        format:
          type: string
          pattern: ^(csv|excel|json|pdf)$
          title: Format
        recipients:
          items:
            type: string
            format: email
          type: array
          maxItems: 20
          minItems: 1
          title: Recipients
        metrics:
          items:
            type: string
          type: array
          title: Metrics
        includePrivacyNotice:
          type: boolean
          title: Includeprivacynotice
          default: false
      type: object
      required:
        - name
        - frequency
        - format
        - recipients
      title: ScheduleReportRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````